//---------------------------------------------------------------------------
// File: TMainForm.cpp, TDx_Play_Library, Example1 - DirectPlay
//
// Date: 13th January, 2004
// Author: Darren John Dwyer
// Copyright: (c) 2002-2004 Darren John Dwyer, All Rights Reserved.
//
// Description:
// To use DirectPlay, you need to use a DirectPlay interface...
//
// This example shows how to create a DirectPlay interface,
// how to destroy a DirectPlay interface,
// and how to setup automatic error handling for the DirectPlay interface.
//
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "TMainForm.h"
//---------------------------------------------------------------------------
#if (__BORLANDC__ >= 0x0530) // BCB Version 3 or 4 only
    #pragma package(smart_init)
#endif
//---------------------------------------------------------------------------
#pragma link "TDx_Play"
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
#pragma link "TDx_Play_Library_Install"
//---------------------------------------------------------------------------
#define Msg(A)  {\
                if (StatusMemo->Text.Length()>30000) StatusMemo->Text = "";\
                StatusMemo->Lines->Add(A);\
                }
//---------------------------------------------------------------------------
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TMainForm::~TMainForm()
{
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::CreateButtonClick(TObject *Sender)
{
Msg("----");
Msg("Creating DirectPlay Interface");
Dx_Play1->Create();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::DestroyButtonClick(TObject *Sender)
{
Msg("----");
Msg("Destroying DirectPlay Interface");
Dx_Play1->Destroy();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Play1Create(TObject *Sender)
{
Msg("----");
Msg("DirectPlay Interface has been Created");
StatusLabel->Caption = "DirectPlay interface is currently created";
StatusLabel->Font->Color = clGreen;
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Play1Destroy(TObject *Sender)
{
Msg("----");
Msg("DirectPlay Interface is being Destroyed");
StatusLabel->Caption = "- DirectPlay interface is not created -";
StatusLabel->Font->Color = clRed;
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Play1Error(TObject *Sender, AnsiString Function,
	AnsiString Error, AnsiString ErrorMessage)
{
Msg("----");
Msg("An Error Occurred in the DirectPlay Interface");
Msg("Function: "+Function);
Msg("Error: "+Error);
Msg("Error Code: "+IntToStr((int)Dx_Play1->ErrorValue));
Msg("Error Message: "+ErrorMessage);
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::ExitButtonClick(TObject *Sender)
{
if (Dx_Play1->Created) Dx_Play1->Destroy();
Close();
}
//---------------------------------------------------------------------------
